Force import halt - Fabric
Force import halt
cURL
curl --request POST \
--url https://api.fabric.inc/v3/inventory-imports/{importId}/actions/force-trigger \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/inventory-imports/{importId}/actions/force-trigger"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/inventory-imports/{importId}/actions/force-trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 400: Bad request
- 401: Unauthorized request
- 500: Internal server error
Error Responses
{
"errors": [\
{\
"message": "Invalid request",\
"type": "CLIENT_ERROR"\
}\
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}
{
"message": "Internal server error",
"type": "SERVER_ERROR"
}
Authorizations
- Authorization: Required Bearer authentication header of the form
Bearer <token>.
Headers
- x-fabric-tenant-id: Required header to identify the tenant making the request.
- x-fabric-channel-id: Required header for multichannel use cases.
Path Parameters
- importId: Required parameter for the import ID.